using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class ReverseProxyStartPacket : IPacket
{
	public int ConnectionId { get; set; }

	public ReverseProxyStartPacket()
	{
	}

	public ReverseProxyStartPacket(int connectionId)
	{
		ConnectionId = connectionId;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(ConnectionId);
	}

	public void Read(BinaryReader r)
	{
		ConnectionId = r.ReadInt32();
	}
}
